Sazabi
APIWebhooks

Subscribe a webhook

Create a project notification rule for a webhook

POST https://api.sazabi.com/v1/webhooks/{webhookId}/subscriptions

POST
/webhooks/{webhookId}/subscriptions

Path Parameters

webhookId*string

Webhook endpoint to subscribe.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "notificationTypes": [      "issue_triggered"    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",  "notificationTypes": [    "string"  ],  "severities": [    "low"  ],  "componentIds": [    "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6"  ],  "teamIds": [    "3320e832-c6a5-4b64-ade9-357b3004570a"  ]}